using Godot;

namespace Rokojori
{

  [GlobalClass]
  public partial class RJCharacterBody3D:CharacterBody3D
  {
  
  
  [Export]
  public Action OnInputEvent;
  
  [Export]
  public Action OnMouseEntered;
  
  [Export]
  public Action OnMouseExited;
  
  [Export]
  public Action OnVisibilityChanged;
  
  [Export]
  public Action OnReady;
  
  [Export]
  public Action OnRenamed;
  
  [Export]
  public Action OnTreeEntered;
  
  [Export]
  public Action OnTreeExiting;
  
  [Export]
  public Action OnTreeExited;
  
  [Export]
  public Action OnChildEnteredTree;
  
  [Export]
  public Action OnChildExitingTree;
  
  [Export]
  public Action OnChildOrderChanged;
  
  [Export]
  public Action OnReplacingBy;
  
  [Export]
  public Action OnEditorDescriptionChanged;
  
  [Export]
  public Action OnScriptChanged;
  
  [Export]
  public Action OnPropertyListChanged;
  
  public override void _Ready()
  {
    InputEvent += ( p0, p1, p2, p3, p4 ) => { Action.Trigger( OnInputEvent ); }; 
    MouseEntered += (  ) => { Action.Trigger( OnMouseEntered ); }; 
    MouseExited += (  ) => { Action.Trigger( OnMouseExited ); }; 
    VisibilityChanged += (  ) => { Action.Trigger( OnVisibilityChanged ); }; 
    Ready += (  ) => { Action.Trigger( OnReady ); }; 
    Renamed += (  ) => { Action.Trigger( OnRenamed ); }; 
    TreeEntered += (  ) => { Action.Trigger( OnTreeEntered ); }; 
    TreeExiting += (  ) => { Action.Trigger( OnTreeExiting ); }; 
    TreeExited += (  ) => { Action.Trigger( OnTreeExited ); }; 
    ChildEnteredTree += ( p0 ) => { Action.Trigger( OnChildEnteredTree ); }; 
    ChildExitingTree += ( p0 ) => { Action.Trigger( OnChildExitingTree ); }; 
    ChildOrderChanged += (  ) => { Action.Trigger( OnChildOrderChanged ); }; 
    ReplacingBy += ( p0 ) => { Action.Trigger( OnReplacingBy ); }; 
    EditorDescriptionChanged += ( p0 ) => { Action.Trigger( OnEditorDescriptionChanged ); }; 
    ScriptChanged += (  ) => { Action.Trigger( OnScriptChanged ); }; 
    PropertyListChanged += (  ) => { Action.Trigger( OnPropertyListChanged ); }; 
  }
  }
}
